Summary: Jack audio output plugin for XMMS.
Name: xmms-jack
Version: 0.17
Release: 2%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://xmms-jack.sourceforge.net/
Source0: %{name}-%{version}.tar.gz
Patch0: xmms-jack-libxmms.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Requires: xmms

BuildRequires: xmms-devel gtk+-devel jack-audio-connection-kit-devel
BuildRequires: libsamplerate-devel

%description
Jack audio output plugin for XMMS. 

%prep
%setup -q -n xmms-jack
%patch0 -p1

%build
%configure
%{__make}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README NEWS AUTHORS ChangeLog
%{_libdir}/xmms/Output/libjackout.so
%exclude %{_libdir}/xmms/Output/libjackout.*a

%changelog
* Fri Nov 30 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Thu Jan  4 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.17-2
- rebuilt on fc6

* Mon Jul 31 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.17-1
- updated to 0.17, build on fc5
- added libsamplerate build dependency and explicit xmms requirement

* Sat Apr 16 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.13-2
- search for libxmms.so.1 in addition to libxmms.so, otherwise
  resampling does not work

* Thu Apr 14 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.13-1
- updated to 0.13

* Fri Feb 18 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.11-1
- updated to 0.11-1

* Mon Nov 29 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.10-1
- updated to 0.10-1

* Tue May 11 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added buildrequires

* Wed Feb 18 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.1-1
- updated to 0.8.1
- repatched to build with gcc < 3

* Fri Dec 12 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6-1
- Initial build.
- patched to build with gcc < 3
